Skip to content

ServerService

Chatto exposes this service below /api/connect.

Shared message and enum definitions are documented in Shared Types And Enums.

Provides authenticated server-wide reads.

Returns the authenticated message of the day.

POST /api/connect/chatto.api.v1.ServerService/GetMotd

Request for the authenticated message of the day.

Authenticated message of the day response.

FieldTypeDescription
motdoptional stringOptional message of the day shown to authenticated members.

Returns authenticated runtime settings used by clients.

POST /api/connect/chatto.api.v1.ServerService/GetRuntimeConfig

Request for authenticated server runtime configuration.

Authenticated server runtime configuration response.

FieldTypeDescription
runtimeServerRuntimeConfigAuthenticated runtime settings used by clients.